Skip to content

Update Training Instance

Update a training instance record. Accessible to users with ADMIN, MANAGE_TRAINING, or MANAGE_TO_DO permissions, or users who are actively assigned to the training instance.

Parameters

name * are required parametersdata typedescription
instanceId*stringThe unique identifier of the training instance to update
body.dataobjectThe updated form data payload
body.assigneeIdsstring[]Updated list of assignee user IDs

Return Value

The updated training instance object.

Error Codes

  • 400 Bad Request: Returned when parameters are invalid.
  • 401 Unauthorized: Returned when the user is not authorized to update this instance.

Examples

bash
curl -X PUT "https://app.wombat.software/api/{targetPath}/training-instance/:instanceId" \
  -H "Content-Type: application/json" \
  -H "Authentication: Bearer ..." \
  -d '{"data": {"field1": "value1"}}'

ENDPOINTS

put/api/{targetPath}/training-instance/:instanceId